STH SOPR
sth-sopr
Chart: STH SOPR
Parameters
| Name | Type | Description | Required |
|---|---|---|---|
start_date | string | Start date in YYYY-MM-DD format | No |
end_date | string | End date in YYYY-MM-DD format | No |
latest | bool | If true, returns the current value | No |
Output
| Index | Name | Type | Description |
|---|---|---|---|
| 0 | date | string | Date in YYYY-MM-DD format |
| 1 | sopr | string | SOPR value |
| 2 | sopr_7d_ma | string | SOPR 7-day Moving Average |
| 3 | sopr_30d_ma | string | SOPR 30-day Moving Average |
Example Request
https://charts.bitbo.io/api/v1/sth-sopr/?start_date=2025-05-05&end_date=2025-05-07
Example Request with Latest
https://charts.bitbo.io/api/v1/sth-sopr/?latest=true
Code Samples
- cURL
- Python
- JavaScript
- Go
curl "https://charts.bitbo.io/api/v1/sth-sopr/?start_date=2025-05-05&end_date=2025-05-07&api_key=YOUR_API_KEY"
import requests
url = "https://charts.bitbo.io/api/v1/sth-sopr/"
params = {
"start_date": "2025-05-05",
"end_date": "2025-05-07",
"api_key": "YOUR_API_KEY"
}
response = requests.get(url, params=params)
data = response.json()
print(data)
const url = "https://charts.bitbo.io/api/v1/sth-sopr/";
const params = new URLSearchParams({
start_date: "2025-05-05",
end_date: "2025-05-07",
api_key: "YOUR_API_KEY"
});
const response = await fetch(`${url}?${params}`);
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://charts.bitbo.io/api/v1/sth-sopr/?start_date=2025-05-05&end_date=2025-05-07&api_key=YOUR_API_KEY", nil)
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
Example Output
{
"data": [
[
"2025-05-05",
"1.00204",
"1.00378857142857142857",
"0.99967066666666666667"
],
[
"2025-05-06",
"1.00455",
"1.00411000000000000000",
"1.00032300000000000000"
],
[
"2025-05-07",
"1.00517",
"1.00424428571428571429",
"1.00093500000000000000"
]
]
}